xine-lib: rip_input_plugin_s Struct Reference

xine-lib 1.2.12

Data Fields
rip_input_plugin_s Struct Reference

## Data Fields
input_plugin_t | input_plugin
input_plugin_t * | main_input_plugin
xine_mfrag_list_t * | fraglist
xine_stream_t * | stream
char * | fname
FILE * | file
FILE * | rfile
char * | preview
size_t | preview_size
off_t | curpos
off_t | savepos
off_t | endpos
ssize_t(* | read )(struct rip_input_plugin_s *this, char *buf, size_t len)
int | regular
int | behind

## Field Documentation

## ◆ behind

int rip_input_plugin_s::behind

Referenced by rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), and rip_read_file_start().

## ◆ curpos

off_t rip_input_plugin_s::curpos

Referenced by rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), rip_read_file_start(), and rip_seek_original().

## ◆ endpos

off_t rip_input_plugin_s::endpos

Referenced by rip_plugin_read().

## ◆ file

FILE* rip_input_plugin_s::file

Referenced by rip_plugin_read(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), and rip_read_file_start().

## ◆ fname

char* rip_input_plugin_s::fname

Referenced by rip_read_file_start().

## ◆ fraglist

xine_mfrag_list_t* rip_input_plugin_s::fraglist

## ◆ input_plugin

input_plugin_t rip_input_plugin_s::input_plugin

## ◆ main_input_plugin

input_plugin_t* rip_input_plugin_s::main_input_plugin

Referenced by rip_plugin_get_capabilities(), rip_plugin_read(), rip_plugin_read_block(), rip_read_file_start(), and rip_seek_original().

## ◆ preview

char* rip_input_plugin_s::preview

Referenced by rip_plugin_get_capabilities(), rip_plugin_read(), and rip_plugin_read_block().

## ◆ preview_size

size_t rip_input_plugin_s::preview_size

Referenced by rip_plugin_read(), rip_plugin_read_block(), and rip_read_file_start().

## ◆ read

ssize_t(* rip_input_plugin_s::read) (struct rip_input_plugin_s *this, char *buf, size_t len)

Referenced by rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), and rip_read_file_start().

## ◆ regular

int rip_input_plugin_s::regular

Referenced by rip_plugin_get_capabilities(), and rip_plugin_read_block().

## ◆ rfile

FILE* rip_input_plugin_s::rfile

Referenced by rip_read_file_read_2(), rip_read_file_set_2(), and rip_read_file_start().

## ◆ savepos

off_t rip_input_plugin_s::savepos

Referenced by rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), and rip_read_file_start().

## ◆ stream

xine_stream_t* rip_input_plugin_s::stream

Referenced by rip_plugin_open(), rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), rip_read_file_start(), and rip_seek_original().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/input_rip.c